﻿<?xml version="1.0" encoding="utf-8" ?>
<!--/**************************************************************/
/*                        im_word001 v1.00                        */
/* Copyright (c) 2007 Noriyuki KIKUCHI                            */
/* <http://www.i-approach.com>                                    */
/* MIT Style License                                              */
/******************************************************************/
/*                                                                */
/* MIT style license:                                             */
/* http://en.wikipedia.org/wiki/MIT_License                       */
/*                                                                */
/******************************************************************/-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" encoding="utf-8" indent="yes"/>
<xsl:template match="/">
	<html lang="ja">
	<head><title><xsl:value-of select="xn/title" /></title>
	<style  type="text/css">
	.hideblack {  color:black; background-color: black}
	.hidegray {  color:gray; background-color: gray}
	.hidered {  color:red; background-color: red}
	.hideblue {  color:blue; background-color: blue}
	.hidegreen {  color:green; background-color: green}
<!-- -->
	table {
	width: 97%;
	}
	td {
	border: 1px solid #999999;
	}
	#td1 {
	width: 25%;
	}
	div {
	margin: 0px 0px 0px 0px;
	line-height: 120%;
	}
	#cell1 {
	padding: 5px 5px 10px 10px;
	width: 25%;
	}
	#cell2 {
	padding: 5px 5px 10px 10px;
	}
	#xn {
	font-size: x-small;
	text-align: right;
	}	
	</style>
	</head>
	<body bgcolor="ffffff" leftmargin="10" topmargin="10">
		<p><xsl:value-of select="xn/title" /></p>
		<xsl:apply-templates select="xn" />
		<br />
		<br />
		<hr />
	<div id="xn"><A HREF="http://www.i-approach.com/" target="_blank">iMASK</A>?</div>
	</body>
	</html>
	</xsl:template>
<!-- -->
	<xsl:template match="xn" >
		<table width="90%">	
		<xsl:for-each select="unit" >
  			<tr>
    			<td id="td1">
				<xsl:if test="row1[not(.='')]" >
		 		<xsl:apply-templates select="row1" />
				</xsl:if>
				</td>
    			<td>
				<xsl:apply-templates select="row2" />
				</td>
  			</tr>
		</xsl:for-each>
		</table>
	</xsl:template>
<!-- -->
	<xsl:template match="row1">
		<div id="cell1"><xsl:value-of select="row1"  />
		<xsl:apply-templates />
		</div>
	</xsl:template>
<!-- -->
	<xsl:template match="row2">
		<div id="cell2"><xsl:value-of select="row2" />
		<xsl:apply-templates />
		</div>
	</xsl:template>
<!-- -->
	<xsl:template match="hide[@color='black']">
	<font class="hideblack"  onclick="this.style.background='white'"><xsl:apply-templates /></font>
	</xsl:template>
	<xsl:template match="hide[@color='gray']">
	<font class="hidegray"  onclick="this.style.background='white'"><xsl:apply-templates /></font>
	</xsl:template>
	<xsl:template match="hide[@color='blue']">
	<font class="hideblue"  onclick="this.style.background='white'"><xsl:apply-templates /></font>
	</xsl:template>
	<xsl:template match="hide[@color='red']">
	<font class="hidered"  onclick="this.style.background='white'"><xsl:apply-templates /></font>
	</xsl:template>
	<xsl:template match="hide[@color='green']">
	<font class="hidegreen"  onclick="this.style.background='white'"><xsl:apply-templates /></font>
	</xsl:template>
	<xsl:template match="br">
	<br />
	</xsl:template>
	<xsl:template match="b">
	<b><xsl:apply-templates /></b>
	</xsl:template>
	<xsl:template match="u">
	<u><xsl:apply-templates /></u>
	</xsl:template>
</xsl:stylesheet>
<!-- (C)2007 i-approach.com -->
